
ThreatFactor NSIA - Bug #136

Exceptions Fail To Match Correctly

04/29/2010 09:55 AM - Luke Murphey

Status: Closed Start date: 04/29/2010

Priority: High Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.9 (Beta)   

Description

It appears that exceptions fail to match on some URLs; thus preventing some issues from being excepted.

History

#1 - 04/30/2010 12:02 PM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 05/01/2010 02:41 AM - Luke Murphey

This may occur because the URL is being stored in a different format in the exception than the original. This conclusion was based on the following

observations:

1. Two of the exceptions that did not work were for URLs with %20 in them (perhaps this is not being replaced by spaces?)

2. Exceptions worked when the URL was omitted

#3 - 05/02/2010 03:21 PM - Luke Murphey

It looks like the application is mixing up the protocol specifier. This occurs when a page forwards to another page. The exception refers to the original

URL (non-forwarded) while the exception is checked against the final (forwarded) URL.

#4 - 05/02/2010 03:24 PM - Luke Murphey

Here are the options:

Check for exceptions against the original and final URL; consider the URL under exception if either matches

Save the final URL in the scan result findings

Save the original URL and the final URL in the scan result findings

#5 - 05/02/2010 03:45 PM - Luke Murphey

- Status changed from New to Closed

- Priority changed from Normal to High

- % Done changed from 0 to 100

The original and final URLs are now checked to determine if an exception exists. Implemented in r429.
